cURL
curl --request POST \ --url https://devnet-router.magicblock.app/ \ --header 'Content-Type: application/json' \ --data ' { "jsonrpc": "2.0", "id": 1, "method": "getAccountInfo", "params": [ "5RgeA5P8bRaynJovch3zQURfJxXL3QK2JYg1YamSvyLb", { "encoding": "base64" } ] } '
{ "jsonrpc": "2.0", "result": { "context": { "apiVersion": "2.2.1", "slot": 85838062 }, "value": { "data": [ "KLUv/QBYQQAAAgAAAAAAAAA=", "base64" ], "executable": false, "lamports": 946560, "owner": "2qgx11jg9RzZHT88FwwvwxKJmtJi5cPL8KgcCAH7yRda", "rentEpoch": "18446744073709551615", "space": 8 } }, "id": 1 }
Get AccountInfo for a single account.
2.0
getAccountInfo
Account address and optional config object
2
Account public key to query.
[ "5RgeA5P8bRaynJovch3zQURfJxXL3QK2JYg1YamSvyLb", { "encoding": "base64" }]
Successful response
Show child attributes
Was this page helpful?